import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../../../constants/dataTestIds.enum";
import { getIconHtmlFromIconDefinition } from "../../../../../../../utils/icons/getIconHtmlFromIconDefinition";
import { getIconHtmlFromIconName } from "../../../../../../../utils/icons/getIconHtmlFromIconName";
export class SimpleToast {
    render() {
        const { icon, iconClassName, title, message, subtitle } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        return (h("transaction-toast-wrapper", { key: '939d73634a747a865c42f361f9215e3a56a529e3', wrapperId: `toast-${this.toast.toastId}` }, h("div", { key: '17b1f7b3cc3d2875038b84e09d3596b90388e328', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, iconHtml && (h("div", { key: 'fd0bfd4dbcac72a9ad34ba57e4c13f490f685381', class: classNames('content-left', { 'no-icon': !iconHtml }) }, h("div", { key: '5d92f2131ac83e15812601b3efd79ddfccba9ec6', class: classNames('content-icon', iconClassName), innerHTML: iconHtml }))), h("div", { key: '841430c50bb5ee503bdc1c646f9b6db2b2fec900', class: "content-right" }, title && (h("div", { key: '4b044e7ecfe49a74a64a3017195947b3ecaa2cdd', class: "content-heading" }, h("h5", { key: '241d23c11a574d3c2e6451610829940b8a6e802f', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title))), h("button", { key: 'c2fca71a5403ce3b79b66137c5777275cf416e3d', onClick: () => this.handleDeleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) }), subtitle && h("div", { key: 'c0884ed1c45fefdca10dcbb26e3366718c69aa22', class: "subtitle" }, subtitle), message && h("div", { key: '7533ea0afede690ad228aab703fb0be9527288eb', class: classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
    static get is() { return "simple-toast"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["simple-toast.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["simple-toast.css"]
        };
    }
    static get properties() {
        return {
            "toast": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ISimpleToast",
                    "resolved": "ISimpleToast",
                    "references": {
                        "ISimpleToast": {
                            "location": "import",
                            "path": "components/functional/toasts-list/components/transaction-toast/transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::ISimpleToast"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
    static get events() {
        return [{
                "method": "handleDeleteToast",
                "name": "handleDeleteToast",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=simple-toast.js.map
