import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../../../constants/dataTestIds.enum";
import { getIconHtmlFromIconDefinition } from "../../../../../../../utils/icons/getIconHtmlFromIconDefinition";
import { getIconHtmlFromIconName } from "../../../../../../../utils/icons/getIconHtmlFromIconName";
export class TransactionToastContent {
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    render() {
        const { icon, iconClassName, title, hasCloseButton } = this.toastDataState;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        return (h("div", { key: '00fe241d3f044f5f013755778102c42b9de04eb2', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: '336fcfb2314317c27cc9a1379b0ea9a98122d54e', class: "content-left" }, h("div", { key: '78dc8b8feb17c690d1df0a58573e83534ab56c5d', class: classNames('content-icon', iconClassName), innerHTML: iconHtml })), h("div", { key: '2390d1d845db02843f2ef9d84d5fe70cb4ed4b26', class: "content-right" }, h("div", { key: '745d835f0a4629a3affe9c6db599e62847fb3c37', class: "content-heading" }, h("h5", { key: '486f7bc152fd5a1284af8fc8ec24bd13b7c2bcd9', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title), hasCloseButton && h("button", { key: '399d197856ac83bd7bdb7dcd9dc6a7cf01f5937a', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), h("div", { key: '4f8da79f38267ba1d6d8f5dc3d5b53c55a82a10c', class: "content-heading-title" }, h("transaction-toast-details", { key: '28aa6cc418940c10b11432c11f9f5a1e0cb28c28', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })))));
    }
    static get is() { return "transaction-toast-content"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-content.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-content.css"]
        };
    }
    static get properties() {
        return {
            "transactions": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransaction[]",
                    "resolved": "ITransaction[]",
                    "references": {
                        "ITransaction": {
                            "location": "import",
                            "path": "../../transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::ITransaction"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "toastDataState": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IToastDataState",
                    "resolved": "IToastDataState",
                    "references": {
                        "IToastDataState": {
                            "location": "import",
                            "path": "../../transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::IToastDataState"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "processedTransactionsStatus": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string | JSX.Element",
                    "resolved": "Element | string",
                    "references": {
                        "JSX": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::LocalJSX"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "processed-transactions-status",
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "deleteToast",
                "name": "deleteToast",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=transaction-toast-content.js.map
